function A=lugauss(A)
%LUGAUSS Factorisation LU sans pivot.
% A = LUGAUSS(A) stocke une matrice triangulaire
% suprieure dans la partie triangulaire suprieure de
% A et une matrice triangulaire infrieure dans la
% partie strictement triangulaire infrieure A (les
% termes diagonaux de L valant 1).
[n,m]=size(A);
if n ~= m
   error('A n''est pas une matrice carre');
else
 for k = 1:n-1
  for i = k+1:n
   A(i,k) = A(i,k)/A(k,k);
   if A(k,k) == 0, error('Elment diagonal nul'); end
   j = [k+1:n]; A(i,j) = A(i,j) - A(i,k)*A(k,j);
  end
 end
end
return
